package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the TGENECATALOGDETAIL database table.
 * 
 */
@Embeddable
public class TgenecatalogdetailPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column(name="CATALOG")
	private String catalog;

	@Column(insertable=false, updatable=false)
	private String catalogcode;

	public TgenecatalogdetailPK() {
	}
	public String getCatalog() {
		return this.catalog;
	}
	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}
	public String getCatalogcode() {
		return this.catalogcode;
	}
	public void setCatalogcode(String catalogcode) {
		this.catalogcode = catalogcode;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TgenecatalogdetailPK)) {
			return false;
		}
		TgenecatalogdetailPK castOther = (TgenecatalogdetailPK)other;
		return 
			this.catalog.equals(castOther.catalog)
			&& this.catalogcode.equals(castOther.catalogcode);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.catalog.hashCode();
		hash = hash * prime + this.catalogcode.hashCode();
		
		return hash;
	}
}